Show / Hide Table of Contents

# Struct NullTerminatedString

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetType()

###### Namespace: ImGuiNET

###### Assembly: ImGui.NET.dll

##### Syntax

    public struct NullTerminatedString

### Constructors

| Improve this Doc View Source

#### NullTerminatedString(Byte*)

##### Declaration

    public NullTerminatedString(byte *data)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | data |

### Fields

| Improve this Doc View Source

#### Data

##### Declaration

    public readonly byte *Data

##### Field Value

Type | Description
--- | ---
System.Byte* |

### Methods

| Improve this Doc View Source

#### ToString()

##### Declaration

    public override string ToString()

##### Returns

Type | Description
--- | ---
System.String |

##### Overrides

System.ValueType.ToString()

### Operators

| Improve this Doc View Source

#### Implicit(NullTerminatedString to String)

##### Declaration

    public static implicit operator string (NullTerminatedString nts)

##### Parameters

Type | Name | Description
--- | --- | ---
NullTerminatedString | nts |

##### Returns

Type | Description
--- | ---
System.String |